Bug 31605 - Improve style of OPAC suggestions search form
Summary: Improve style of OPAC suggestions search form
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-09-22 15:40 UTC by Owen Leonard
Modified: 2022-09-26 13:54 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00


Attachments
Screenshot showing the current style (37.39 KB, image/png)
2022-09-22 15:40 UTC, Owen Leonard
Details
Bug 31605: Improve style of OPAC suggestions search form (5.66 KB, patch)
2022-09-22 16:09 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 31605: Improve style of OPAC suggestions search form (5.71 KB, patch)
2022-09-22 17:42 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 31605: Improve style of OPAC suggestions search form (5.76 KB, patch)
2022-09-23 14:24 UTC, Lucas Gass
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2022-09-22 15:40:35 UTC
Created attachment 140853 [details]
Screenshot showing the current style

The search form shown at the top of OPAC purchase suggestions looks a little off, especially when  OPACViewOthersSuggestions is enabled. See attached image.
Comment 1 Owen Leonard 2022-09-22 16:09:18 UTC Comment hidden (obsolete)
Comment 2 ByWater Sandboxes 2022-09-22 17:42:56 UTC Comment hidden (obsolete)
Comment 3 Lucas Gass 2022-09-23 14:23:53 UTC
Good improvements, markup looks good, and the QA scripts are happy.
Comment 4 Lucas Gass 2022-09-23 14:24:32 UTC
Created attachment 140918 [details] [review]
Bug 31605: Improve style of OPAC suggestions search form

This patch makes minor modifications to the markup for the
OPAC suggestions search form so that the different labels and
form fields display a little more nicely.

The patch also adds standard Bootstrap alert classes to
several messages which might be displayed on the screen, e.g.
"You have no pending purchase suggestions."

To test, apply the patch and make sure the "suggestion" system
preference is enabled.

- With the  OPACViewOthersSuggestions preference disabled, log
  in to the OPAC and view your suggestions.
- If you have no suggestions you should see a Bootstrap-styled
  message box, "You have no pending purchase suggestions."
- If necessary, submit a suggestion. With at least one suggestion
  present you should see a search form above the table of
  suggestions. The label, form field, and submit button should
  line up nicely.
- Test that the search form works correctly to find suggestions
  in your system.
- If you search for a suggestion which doesn't exist you should
  see a message-style alert, "There are no pending purchase
  suggestions matching your search."
- Enable the OPACViewOthersSuggestions system preference.
- Return to the OPAC suggestions page. The form field should
  now include a nicely-styled "Suggested by" filter.

Signed-off-by: George Williams <george@nekls.org>

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 5 Tomás Cohen Arazi 2022-09-26 13:54:53 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!